List Custom Fields for a project
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/custom_fields
project_idintegerThe project identifier
per_pageinteger<int64>The max number of items to include per page or results.
page_tokenstring<p>Pagination page token. Implements prev, next, last, first</p>
page_windowinteger<p>Number of previous and next page links to supply for the request (defaults to 1).</p>
querystring<p>Substring search across <code>key</code>, <code>name</code> and <code>description</code> (case-insensitive).</p>
sortarraySort the custom fields based on the attributes from left to right.
archivedboolean<p>Filter the custom fields by archived. A custom field can be either archived (archived=true) or unarchived (archived=false)</p>
keystringFilter the custom fields by key.
entity_typestringFilter the custom fields by entity type.
field_typestringFilter the custom fields by field type.
200<p>Successful retrieval of a page of Custom Fields.</p>
<p>The response includes RESTful JSON (<a href="https://restfuljson.org/" target="_blank">https://restfuljson.org/</a>) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.</p>
400Malformed requests and invalid parameter names and types
401Invalid credentials
403Do not have permission to perform the operation
404Not found. No content
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/custom_fields \
--header 'accept: application/json'